/*
  ******************************************************************************
  * @file    main.c
  * @author  APT AE Team
  * @version V1.15
  * @date    2022/11/30
  ******************************************************************************
  *THIS SOFTWARE WHICH IS FOR ILLUSTRATIVE PURPOSES ONLY WHICH PROVIDES 
  *CUSTOMER WITH CODING INFORMATION REGARDING THEIR PRODUCTS.
  *APT CHIP SHALL NOT BE HELD RESPONSIBILITY ADN LIABILITY FOR ANY DIRECT, 
  *INDIRECT DAMAGES WITH RESPECT TO ANY CLAIMS ARISING FROM THE CONTENT OF 
  *SUCH SOFTWARE AND/OR THE USE MADE BY CUSTOMERS OF THE CODING INFORMATION 
  *CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.AND APT CHIP RESERVES 
  *THE RIGHT TO MAKE CHANGES IN THE SOFTWARE WITHOUT NOTIFICATION
  ******************************************************************************
  */
/* Includes ------------------------------------------------------------------*/
#include "apt32f102b.h"
#include "apt32f102b_adc.h"
#include "apt32f102b_bt.h"
#include "apt32f102b_coret.h"
#include "apt32f102b_countera.h"
#include "apt32f102b_crc.h"
#include "apt32f102b_ept.h"
#include "apt32f102b_et.h"
#include "apt32f102b_gpio.h"
#include "apt32f102b_gpt.h"
#include "apt32f102b_i2c.h"
#include "apt32f102b_ifc.h"
#include "apt32f102b_lpt.h"
#include "apt32f102b_rtc.h"
#include "apt32f102b_sio.h"
#include "apt32f102b_spi.h"
#include "apt32f102b_syscon.h"
#include "apt32f102b_uart.h"
#include "apt32f102a_wwdt.h"
#include "apt32f102b_types_local.h"
#include "apt32f102b_tkey.h"
/* defines -------------------------------------------------------------------*/
/* externs Register-------------------------------------------------------------------*/
extern volatile U32_T Key_Map;				//touch key press data 
/* externs function-------------------------------------------------------------------*/
extern void delay_nms(unsigned int t);
extern void APT32F102_init(void);

/***************************************************/
//main
/**************************************************/
int main(void) 
{
	//delay_nms(1000);
	APT32F102_init();
	
	
    while(1)
	{
		SYSCON_IWDCNT_Reload(); 
		//....
		//....
    }
}
/******************* (C) COPYRIGHT 2019 APT Chip *****END OF FILE****/